Show / Hide Table of Contents

# Class Easing

Base class facilitating the implementation of easing functions.

##### Inheritance

System.Object
Easing
InCirc
InCubic
InElastic
InOutCirc
InOutCubic
InOutElastic
InOutQuint
InOutSine
InQuint
InSine
OutCirc
OutCubic
OutElastic
OutQuint
OutSine

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Animation

###### Assembly: Dalamud.dll

##### Syntax

    public abstract class Easing

### Constructors

| Improve this Doc View Source

#### Easing(TimeSpan)

Initializes a new instance of the Easing class with the specified duration.

##### Declaration

    protected Easing(TimeSpan duration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | duration | The animation duration.

### Properties

| Improve this Doc View Source

#### Duration

Gets or sets the duration of the animation.

##### Declaration

    public TimeSpan Duration { get; set; }

##### Property Value

Type | Description
--- | ---
System.TimeSpan |

| Improve this Doc View Source

#### EasedPoint

Gets the resulting point at the current timestep.

##### Declaration

    public Vector2 EasedPoint { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### IsDone

Gets a value indicating whether or not the animation is done.

##### Declaration

    public bool IsDone { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsInverse

Gets or sets a value indicating whether the result of the easing should be inversed.

##### Declaration

    public bool IsInverse { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsRunning

Gets a value indicating whether or not the animation is running.

##### Declaration

    public bool IsRunning { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Point1

Gets or sets the origin point of the animation.

##### Declaration

    public Vector2? Point1 { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector2> |

| Improve this Doc View Source

#### Point2

Gets or sets the destination point of the animation.

##### Declaration

    public Vector2? Point2 { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Numerics.Vector2> |

| Improve this Doc View Source

#### Progress

Gets the progress of the animation, from 0 to 1.

##### Declaration

    protected double Progress { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### Value

Gets or sets the current value of the animation, from 0 to 1.

##### Declaration

    public double Value { get; protected set; }

##### Property Value

Type | Description
--- | ---
System.Double |

### Methods

| Improve this Doc View Source

#### Restart()

Restarts the animation.

##### Declaration

    public void Restart()

| Improve this Doc View Source

#### Start()

Starts the animation from where it was last stopped, or from the start if it was never started before.

##### Declaration

    public void Start()

| Improve this Doc View Source

#### Stop()

Stops the animation at the current point.

##### Declaration

    public void Stop()

| Improve this Doc View Source

#### Update()

Updates the animation.

##### Declaration

    public abstract void Update()